Name:           sickbeard
Version:        506
Release:        1%{?dist}
License:        GPL-3.0
Summary:        The ultimate PVR application that searches for and manages your TV shows
Url:            http://sickbeard.com/
Group:          Applications/Internet
Source:         https://github.com/midgetspy/Sick-Beard/archive/build-%{version}.tar.gz
Source1:        sickbeard.sysconfig
Source2:        sickbeard.init
Requires:       python python-cheetah
Requires: 	chkconfig
BuildArch:      noarch

%description
Sick Beard is a PVR for newsgroup users (with limited torrent support).
It watches for new episodes of your favorite shows and when they are posted it downloads them,
sorts and renames them, and optionally generates metadata for them.
It currently supports NZBs.org, NZBMatrix, NZBs'R'Us, Newzbin, Womble's Index, NZB.su, TVTorrents
and EZRSS and retrieves show information from theTVDB.com and TVRage.com.

%prep
%setup -qn Sick-Beard-build-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_initddir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_localstatedir}/lib/sickbeard
mkdir -p %{buildroot}%{_localstatedir}/run/sickbeard


install -d -m 0755 %{_builddir}/Sick-Beard-build-%{version} %{buildroot}%{_datadir}/sickbeard
install -D -m 755 %{_sourcedir}/sickbeard.init %{buildroot}%{_initddir}/sickbeard
install -m 644 %{_sourcedir}/sickbeard.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
cp -a %{_builddir}/Sick-Beard-build-%{version}/* %{buildroot}%{_datadir}/sickbeard
ln -s %{_initddir}/sickbeard %{buildroot}%{_sbindir}/rcsickbeard


# fix rpmlint badness wrong line endings
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/sickbeard/postProcessor.py
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/lib/MultipartPostHandler.py
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/sickbeard/providers/__init__.py
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/sickbeard/notifiers/__init__.py
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/sickbeard/__init__.py
sed -i 's/
//' %{buildroot}%{_datadir}/sickbeard/cherrypy/cherryd
# fix rpmlint badness remove executable bit
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/postProcessor.py
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/providers/__init__.py
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/notifiers/__init__.py
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/__init__.py
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/notifiers/synoindex.py
chmod -x %{buildroot}%{_datadir}/sickbeard/sickbeard/metadata/tivo.py

# fix rpmlint badness remove shebang
sed -i '1d' %{buildroot}%{_datadir}/sickbeard/lib/pynma/__init__.py
sed -i '1d' %{buildroot}%{_datadir}/sickbeard/lib/MultipartPostHandler.py
sed -i '1d' %{buildroot}%{_datadir}/sickbeard/lib/pynma/pynma.py
sed -i '1d' %{buildroot}%{_datadir}/sickbeard/cherrypy/cherryd
# fix rpmlint badness remove file duplicates
rm %{buildroot}%{_datadir}/sickbeard/init.*
rm %{buildroot}%{_datadir}/sickbeard/readme.md
rm %{buildroot}%{_datadir}/sickbeard/COPYING.txt

%pre
getent group sickbeard >/dev/null || groupadd -r sickbeard || :
getent passwd sickbeard >/dev/null || useradd -r -g sickbeard -d %{_localstatedir}/lib/sickbeard -m -s /sbin/nologin -c "user for sickbeard" sickbeard 2> /dev/null || :

%post
/sbin/chkconfig --add sickbeard

%preun
if [ $1 -eq 0 ]; then
    /sbin/service sickbeard stop > /dev/null 2>&1
    /sbin/chkconfig --del sickbeard
fi

%files
%defattr(-,root,root)
%doc readme.md COPYING.txt init.*
%{_initddir}/sickbeard
%{_sbindir}/rcsickbeard
%{_sysconfdir}/sysconfig/%{name}
#%{_localstatedir}/lib/sickbeard
%{_datadir}/sickbeard
%attr(0755,sickbeard,sickbeard) %dir %{_localstatedir}/run/sickbeard


%changelog
* Mon Aug 18 2014 josef radinger <cheese@nosuchhost.net> - 506-1
- bump version

* Sun Aug 03 2014 josef radinger <cheese@nosuchhost.net> - 505-4
- bump version

* Sat Aug  2 2014 josef radinger <cheese@nosuchhost.net> - 505-3
- add /var/run

* Sun Jun 29 2014 josef radinger <cheese@nosuchhost.net> - 505-2
- rebuild with dist-flag set

* Sun Jun 15 2014 josef radinger <cheese@nosuchhost.net> - 505-1
- initial version

